# Generated by Django 2.0.2 on 2018-02-26 13:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('glass', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Estabelecimento',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('registro', models.CharField(choices=[('CNES', 'Cadastro Nacional de Estabelecimentos de Saúde'), ('RSA', 'Rede Sentinela ANVISA')], max_length=5)),
                ('registro_id', models.CharField(max_length=12)),
                ('cnpj', models.CharField(max_length=20)),
                ('razao_social', models.CharField(max_length=120)),
                ('municipio', models.CharField(max_length=120)),
                ('endereco', models.CharField(max_length=120)),
                ('telefone', models.CharField(max_length=120)),
                ('email', models.EmailField(max_length=254)),
                ('natureza', models.CharField(choices=[('PB', 'Pública'), ('PV', 'Privada')], max_length=3)),
                ('esfera', models.CharField(choices=[('MUN', 'Municipal'), ('EST', 'Estadual'), ('NAC', 'Nacional')], max_length=3)),
                ('servico', models.CharField(choices=[('PAR', 'Particular'), ('SUS', 'Sistema Único de Saúde')], max_length=3)),
                ('lab_micro', models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3)),
                ('lab_apoio', models.CharField(max_length=120)),
                ('leitos_total', models.IntegerField()),
                ('leitos_uti', models.IntegerField()),
                ('leitos_uti_neo', models.IntegerField()),
                ('internacoes', models.IntegerField()),
                ('atendimento', models.CharField(choices=[('AMB', 'Ambulatorial'), ('HOS', 'Hospitalar')], max_length=3)),
                ('nucleo_epidemio', models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3)),
                ('lic_sanitaria', models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3)),
                ('sciras', models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3)),
                ('sinan', models.CharField(choices=[('0', 'Não Notifica'), ('1', '10 ou menos'), ('2', 'De 11 a 20'), ('3', 'De 21 a 50'), ('4', 'Acima de 50')], max_length=3)),
                ('corpo_clinico', models.CharField(choices=[('EPI', 'Epidemiologista'), ('INF', 'Infectologista')], max_length=3)),
                ('acreditacao', models.CharField(max_length=120)),
                ('gestao_qualidade', models.CharField(max_length=120)),
                ('resp_tecnico', models.CharField(max_length=120)),
                ('prof_micro', models.CharField(choices=[('SIM', 'Sim'), ('NAO', 'Não')], max_length=3)),
                ('interpretacao_tsa', models.CharField(max_length=120)),
                ('cq_tsa', models.CharField(choices=[('0', 'Não Realiza'), ('1', 'Diariamente'), ('2', 'Semanalmente'), ('3', 'Mensalmente'), ('4', 'Anualmente')], max_length=3)),
                ('cepa_tsa', models.CharField(max_length=120)),
                ('cq_rm', models.CharField(choices=[('0', 'Não Realiza'), ('1', 'Diariamente'), ('2', 'Semanalmente'), ('3', 'Mensalmente'), ('4', 'Anualmente')], max_length=3)),
                ('cultura', models.IntegerField()),
                ('hemocultura', models.IntegerField()),
                ('urocultura', models.IntegerField()),
                ('neisseria', models.IntegerField()),
                ('classificacao', models.CharField(choices=[('US', 'Unidade Sentila'), ('LA', 'Laboratório Apoio')], max_length=3)),
                ('data_cadastro', models.DateTimeField()),
                ('data_atualizacao', models.DateTimeField()),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
                ('cepa_rm', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.Cepa', verbose_name='Cepas RM')),
                ('gene_rm', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.Gene', verbose_name='Genes RM')),
                ('metodo_tsa', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.Metodo', verbose_name='Método TSA')),
                ('teste_rm', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.Teste', verbose_name='Testes RM')),
                ('vinculo', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.Vinculo', verbose_name='Vínculo Administrativo')),
            ],
            options={
                'verbose_name': 'Estabelecimento',
                'verbose_name_plural': 'Estebelecimentos',
                'ordering': ['id'],
            },
        ),
    ]
